Irrlicht Engine: irr::io::IAttributeExchangingObject Class Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::io::IAttributeExchangingObject Class Reference

An object which is able to serialize and deserialize its attributes into an attributes object. More...

`#include <IAttributeExchangingObject.h>`

Inheritance diagram for irr::io::IAttributeExchangingObject:

List of all members.

## Public Member Functions
virtual void | deserializeAttributes (io::IAttributes *in, io::SAttributeReadWriteOptions *options=0)
| Reads attributes of the object.
virtual void | serializeAttributes (io::IAttributes *out, io::SAttributeReadWriteOptions *options=0) const
| Writes attributes of the object.

## Detailed Description

An object which is able to serialize and deserialize its attributes into an attributes object.

Definition at line 51 of file IAttributeExchangingObject.h.

## Member Function Documentation

virtual void irr::io::IAttributeExchangingObject::deserializeAttributes | ( | io::IAttributes * | in,
|  | io::SAttributeReadWriteOptions * | options = `0` |
| ) |  |  | `[inline, virtual]`

Reads attributes of the object.

Implement this to set the attributes of your scene node animator for scripting languages, editors, debuggers or xml deserialization purposes.

Reimplemented in irr::gui::IGUIElement, and irr::scene::ISceneNode.

Definition at line 63 of file IAttributeExchangingObject.h.

virtual void irr::io::IAttributeExchangingObject::serializeAttributes | ( | io::IAttributes * | out,
|  | io::SAttributeReadWriteOptions * | options = `0` |
| ) |  |  | const`[inline, virtual]`

Writes attributes of the object.

Implement this to expose the attributes of your scene node animator for scripting languages, editors, debuggers or xml serialization purposes.

Reimplemented in irr::gui::IGUIElement, and irr::scene::ISceneNode.

Definition at line 58 of file IAttributeExchangingObject.h.

The documentation for this class was generated from the following file:

- IAttributeExchangingObject.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:06 2010 by Doxygen (1.6.2)